Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226253 - Merge Review: perl-DBI
Summary: Merge Review: perl-DBI
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:35 UTC by Nobody's working on this, feel free to take it
Modified: 2012-02-27 13:29 UTC (History)
3 users (show)

Fixed In Version: 1.601-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-16 20:26:25 UTC
panemade: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:35:12 UTC
Fedora Merge Review: perl-DBI

http://cvs.fedora.redhat.com/viewcvs/devel/perl-DBI/
Initial Owner: rnorwood@redhat.com

Comment 1 Parag AN(पराग) 2007-10-26 10:22:26 UTC
1)perl as BR is not needed. mock build without it worked successfully.
   remove redundant dependency on perl
2)rpmlint complained ->
perl-DBI.i386: E: wrong-script-interpreter
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/dbixs_rev.pl "perl"
This script uses an incorrect interpreter.

perl-DBI.i386: E: non-executable-script
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/dbixs_rev.pl 0644
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

and all others as 
perl-DBI.i386: W: devel-file-in-non-devel-package
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/auto/DBI/dbixs_rev.h
A development file (usually source code) is located in a non-devel
package. If you want to include source code in your package, be sure to
create a development package.

==> Any reason to install
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/auto/DBI ?


3) Update to New release 
http://www.cpan.org/authors/id/T/TI/TIMB/DBI-1.601.tar.gz

4) Many tests got skipped. Please check build.log for more information on which
tests failed.

Comment 2 Parag AN(पराग) 2007-11-13 08:56:49 UTC
Can you update SPEC and build package?

Comment 3 Robin Norwood 2007-11-14 04:22:12 UTC
Fixed most of the issues, however:

o For the tests that are skipped:

t/80proxy.................skipped
        all skipped: modules required for proxy are probably not installed
(e.g., RPC/PlClient.pm)

We don't ship RPC::PlClient in Fedora.  We can include it, and I'll look into
doing so.  Still, this is a minor issue, I think.

The other skipped tests are either 'developer' tests, which aren't meant to be
run during a normal build, or tests that aren't valid for a particular backend,
such as:

t/zvxgp_60preparse........skipped
        all skipped: preparse not supported for DBI::PurePerl


o For the rpmlint warning 'devel-file-in-non-devel-package' - we could probably
split perl-DBI into perl-DBI, perl-DBI-devel, and perl-DBI-libs.  However, we'll
need to discuss such a change with the fedora-perl-devel-list.  I'll start that
discussion.


Nevertheless, I've built perl-DBI-1.601-1.fc9 for rawhide with fixes to the
other issues.

Comment 4 Parag AN(पराग) 2007-11-15 05:51:47 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM but NOT for RPM.
perl-DBI.i386: W: devel-file-in-non-devel-package
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/auto/DBI/dbixs_rev.h
perl-DBI.i386: W: devel-file-in-non-devel-package
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/auto/DBI/dbivport.h
perl-DBI.i386: W: devel-file-in-non-devel-package
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/auto/DBI/dbd_xsh.h
perl-DBI.i386: W: devel-file-in-non-devel-package
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/auto/DBI/dbipport.h
perl-DBI.i386: W: devel-file-in-non-devel-package
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/auto/DBI/Driver_xst.h
perl-DBI.i386: W: devel-file-in-non-devel-package
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/auto/DBI/DBIXS.h
perl-DBI.i386: W: devel-file-in-non-devel-package
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/auto/DBI/dbi_sql.h
==> Ok to accept.
+ source files match upstream url
d80677bd8113ec8cb0438b8703f3c418  DBI-1.601.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
All tests successful, 28 tests and 379 subtests skipped.
2007-11-15 10:41:06,624 - util.py:218:DEBUG: Files=125, Tests=5842, 131
wallclock secs (54.22 cusr +  6.98 csys = 61.20 CPU)
+ Package perl-DBI-1.601-1.fc9 ->
 Provides: DBI.so perl(Bundle::DBI) = 8695 perl(DBD::DBM) = 0.03
perl(DBD::DBM::Statement) perl(DBD::DBM::Table) perl(DBD::DBM::db)
perl(DBD::DBM::dr) perl(DBD::DBM::st) perl(DBD::ExampleP) = 10007
perl(DBD::File) = 0.35 perl(DBD::File::Statement) perl(DBD::File::Table)
perl(DBD::File::db) perl(DBD::File::dr) perl(DBD::File::st) perl(DBD::Gofer) =
10103 perl(DBD::Gofer::Policy::Base) = 10087 perl(DBD::Gofer::Policy::classic) =
10087 perl(DBD::Gofer::Policy::pedantic) = 10087 perl(DBD::Gofer::Policy::rush)
= 10087 perl(DBD::Gofer::Transport::Base) = 10088
perl(DBD::Gofer::Transport::null) = 10087 perl(DBD::Gofer::Transport::pipeone) =
10087 perl(DBD::Gofer::Transport::stream) = 10087 perl(DBD::NullP) = 9215
perl(DBD::Proxy) = 0.2004 perl(DBD::Proxy::db) perl(DBD::Proxy::dr)
perl(DBD::Proxy::st) perl(DBD::Sponge) = 10002 perl(DBDI) perl(DBI)
perl(DBI::Const::GetInfo::ANSI) = 8696 perl(DBI::Const::GetInfo::ODBC) = 8696
perl(DBI::Const::GetInfoReturn) = 8696 perl(DBI::Const::GetInfoType) = 8696
perl(DBI::DBD) = 12. perl(DBI::DBD::Metadata) = 8696 perl(DBI::FAQ) = 9530
perl(DBI::Gofer::Execute) = 10087 perl(DBI::Gofer::Request) = 10087
perl(DBI::Gofer::Response) = 10087 perl(DBI::Gofer::Serializer::Base) = 9949
perl(DBI::Gofer::Serializer::DataDumper) = 9949
perl(DBI::Gofer::Serializer::Storable) = 9949 perl(DBI::Gofer::Transport::Base)
= 10087 perl(DBI::Gofer::Transport::pipeone) = 10087
perl(DBI::Gofer::Transport::stream) = 10087 perl(DBI::Profile) = 9833
perl(DBI::ProfileData) = 10007 perl(DBI::ProfileDumper) = 9894
perl(DBI::ProfileDumper::Apache) = 9618 perl(DBI::ProfileSubs) = 9395
perl(DBI::ProxyServer) = 0.3005 perl(DBI::ProxyServer::db)
perl(DBI::ProxyServer::dr) perl(DBI::ProxyServer::st) perl(DBI::SQL::Nano) =
9744 perl(DBI::SQL::Nano::Statement_) perl(DBI::SQL::Nano::Table_)
perl(DBI::Util::CacheMemory) = 10086 perl(DBI::Util::_accessor) = 9478
perl(DBI::common)


Requires: /usr/bin/perl libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3)
libc.so.6(GLIBC_2.3) libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) perl >= 0:5.004
perl >= 0:5.005_03 perl >= 0:5.006_00 perl(:MODULE_COMPAT_5.8.8) perl(Carp)
perl(Config) perl(Cwd) perl(DBI) perl(DBI::Const::GetInfo::ANSI)
perl(DBI::Const::GetInfo::ODBC) perl(DBI::Const::GetInfoType)
perl(DBI::Gofer::Execute) perl(DBI::Gofer::Request) perl(DBI::Gofer::Response)
perl(DBI::Gofer::Serializer::DataDumper) perl(DBI::Gofer::Serializer::Storable)
perl(DBI::Profile) perl(DBI::ProfileData) perl(DBI::ProfileDumper)
perl(DBI::ProxyServer) perl(DBI::SQL::Nano) perl(Data::Dumper) perl(DynaLoader)
perl(Exporter) perl(Fcntl) perl(File::Spec) perl(Getopt::Long) perl(IO::File)
perl(IO::Select) perl(IPC::Open3) perl(Storable) perl(Symbol) perl(UNIVERSAL)
perl(base) perl(constant) perl(strict) perl(utf8) perl(vars) perl(warnings)
rtld(GNU_HASH)
APPROVED.



Comment 5 Robin Norwood 2007-11-15 21:50:49 UTC
Ok - for reference, here's the thread on splitting perl-DBI-devel out of perl-DBI:

https://www.redhat.com/archives/fedora-perl-devel-list/2007-November/msg00024.html

With two negatives, and no positives as of now.

Comment 6 Parag AN(पराग) 2007-11-16 03:43:08 UTC
(In reply to comment #5)
> Ok - for reference, here's the thread on splitting perl-DBI-devel out of perl-DBI:
> 
> https://www.redhat.com/archives/fedora-perl-devel-list/2007-November/msg00024.html
> 
> With two negatives, and no positives as of now.

Yes. already seen that and would like to go with others not creating -devel.


Comment 7 Robin Norwood 2007-11-16 20:26:25 UTC
Alright, I think this is done, then, and can be closed.  Re-open if I've missed
anything.

Comment 8 Petr Pisar 2012-02-27 12:23:46 UTC
Package Change Request
======================
Package Name: perl-DBI
Branches: f15 f16 f17
Owners: 
InitialCC: perl-sig

Please add perl-sig user with watch* permissions only to all Fedora branches.

Comment 9 Gwyn Ciesla 2012-02-27 13:29:13 UTC
Done.


Note You need to log in before you can comment on or make changes to this bug.